# Interface RepositoryResourceAccessor

@Incubating public interface RepositoryResourceAccessor
Provides access to resources on an artifact repository. Gradle takes care of caching the resources locally. The scope of the cache may depend on the accessor: users should refer to the javadocs of the methods providing an accessor to determine the scope.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`withResource(String relativePath, Action<? super InputStream> action)`
Perform an action on the contents of a remote resource.

## Method Details

### withResource

void withResource(String relativePath, Action<? super InputStream> action)
Perform an action on the contents of a remote resource.

Parameters:
  `relativePath` - path to the resource, relative to the base URI of the repository
  `action` - action to execute on the resource